# 32/64bit spec-file
#
Name: 		ede
Version: 	2.0
Release: 	%mkrel 4

Source: 	%{name}-%{version}.tar.xz
Source1:	ede-applications.menu
Summary:	Core programs for the Equinox Desktop Environment
URL: 		http://ede.sourceforge.net/
License: 	GPL
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ftjam  
BuildRequires: libjpeg-devel 
BuildRequires: edelib-devel
BuildRequires: libxpm-devel
BuildRequires: fltk-devel
BuildRequires: libpng-devel
BuildRequires: libxext-devel
BuildRequires: libxkbfile-devel
BuildRequires: libcurl-devel
BuildRequires: libstartup-notification-1-devel
BuildRequires: libhal-devel
BuildRequires: libxcomposite-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: libxrandr-devel 
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
Requires:	edelib

%description
Equinox Desktop Environment (EDE) is desktop environment - the piece of
software that enables you to launch applications in a convenient way,
show what windows you have opened, manages icons and background of your
desktop, etc. This core package provides panel with tasklist, clock,
load status; icon manager that take care of your icons on background,
control panel for easy access to your settings, sound volume control, 
color configuration, panel configuration, menu editor, icons configuration, 
tips, time/date and timezone configuration, fast file search tool and of 
course window manager that manages your windows with config utility.

%prep
%setup -q

%build
sed -i 's|-lstdc++|"-lstdc++ -lm -ldl -lX11 -lXext"|' Jamconfig.in
%configure2_5x

%make prefix=$RPM_BUILD_ROOT%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall docdir=$RPM_BUILD_ROOT/%{_datadir}/doc

#make session available to both kdm and gdm
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d/
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/08EDE
NAME=EDE
ICON=ede-wmsession.xpm
EXEC=%{_bindir}/startede
DESC=Equinox Lightweight desktop environment
SCRIPT:
exec %{_bindir}/startede
EOF

#use our default menu
install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/menus/ede-applications.menu


%clean
rm -rf $RPM_BUILD_ROOT

%post
%make_dm_session

%postun
%make_dm_session

%files
%defattr (-, root, root)
%{_sysconfdir}/X11/wmsession.d/08EDE
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/desktop-directories/*
%{_datadir}/ede
%{_datadir}/doc/*
%{_datadir}/icons/*
%{_datadir}/mime/packages/*
%{_datadir}/pekwm
%{_datadir}/wallpapers/*
%{_datadir}/xsessions/*
%{_sysconfdir}/pekwm
%{_sysconfdir}/xdg/ede
%{_sysconfdir}/xdg/menus/*

%changelog
* Tue Jun 18 2013 Texstar <texstar at gmail.com> 2.0-4pclos2013
- fix creation of wmsession
- use our default menu

* Sun Mar 24 2013 pinoc <vogtpet at gmail.com> 2.0-3pclos2013
- fixed BR for 32/64

* Sat Feb 09 2013 Ken <lxgator@gmail.com> 2.0-2pclos2013
- rebuild

* Tue Dec 25 2012 Ken <lxgator@gmail.com> 2.0-1pclos2013
- inital build
